JMicron PATA/SATA Controller does not work

Bug #57502 reported by andrewpmk on 2006-08-23
122
Affects Status Importance Assigned to Milestone
linux-source-2.6.15 (Ubuntu)
Medium
Ben Collins
linux-source-2.6.17 (Ubuntu)
High
Ben Collins
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: kernel-image-2.6.17-6-386-di

On all 2.6.17 and below kernels, the JMicron JMB363 controller, found on the ASUS P5B motherboard, does not work. As a result, the Ubuntu Live CD will not boot (unable to mount root partition on the CD) and the Ubuntu Install CD cannot mount itself. More information is available here: <http://www.ubuntuforums.org/showthread.php?t=234706&highlight=jmicron>.

The 2.6.18 kernel (which is still in beta as of August 23, 2006) incorporates a fix for this problem. To fix this problem on 2.6.17 a patch could be used.

Victor Petrov (victor-petrov) wrote :

I would like to confirm the bug. I am the starter of the above mentioned thread at ubuntuforums.org.
Currently, I am running kernel 2.6.17.9, and still, no progress on the Jmicron detection. I was unsuccessful at installing the 2.6.18 -mm patch, or the 2.6.18-rc4 patch.
Several people mention that giving the parameter "all-generic-ide" to the kernel (at boot) works for Fedora Core, however, it did not work with the Ubuntu 6.06.1 desktop cd.

OnkelJens (jensschreiber) wrote :

I can also confirm it.

Using 6.06 no PATA devices are found. So
installing ubuntu is not possible if you have only a PATA hard drive.
My SATA dvd drive is detected fine.

Chuck Short (zulcss) wrote :

Will backport the patches tonight.

Changed in linux-source-2.6.17:
assignee: nobody → zulcss
firefoxtester (gregpinero) wrote :

Sorry a couple noob questions;

1. When you say backport, does that mean this fix will make it into Dapper?

2. If so should I just download a new install CD and it will work?

3. How will I know when the CD ISO downloads have been updated to include this fix?

Thanks (perhaps these would be good FAQ questions for somewhere or other).

Greg

firefoxtester (gregpinero) wrote :

BTW I'm confirming this too. (see my bug: https://launchpad.net/bugs/58358 for details)

I also think this should be changed to critical. Everyone buying a P965 motherboard is hitting this issue. Doing a search on the forum for "P965" bring up more issues each day.

firefoxtester (gregpinero) wrote :

I made a wiki page to put all of the information about this issue in one place:
https://wiki.ubuntu.com/Core_2_Duo_Support

As you can see it's a pretty major issue. There are already 3 bugs and at least 9 forum threads regarding this. Hopefully we can get this fixed for Edgy.

Robert Rak (cynicist) wrote :

Decided to confirm this as well since the status has not changed. I agree with firefoxtester, this is very critical because of how many boards it affects. Virtually everyone who has a Core 2 Duo processor is using this chipset. The amount of complaints is rising on various linux forums as people begin buying this newer tech and I very much miss using my favorite open source operating system :(

Daniel Torres (lolikapuxa) wrote :

I confirm this. This bug should be considered Critical.

Same problem here.

Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
Justin Clark (ihcnet) wrote :

I confirm it as well. I own a Asus P5B Deluxe motherboard, and it also fails to identify the IDE optical drive.

Ray Trautman (raytraut) wrote :

Same problem here.

Hoeflerb (hoeflerb) wrote :

I've found that if you take the latest edgy kernel (2.6.17.11) and compile in the ide-generic module, the all-generic-ide kernel boot parameter can be used and JMB363 PATA devices are detected. I played with a number of kernels and kernel configs before I figured this out. I'm not sure what is going on here, but it seems like ide-generic can't pick up the PATA drives unless it is initialized before the other disk controller modules. There is a comment about similar behavior in the 2.6.18 <a href="http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=15e0c694367332d7e7114c7c73044bc5fed9ee48">changelog</a>, but I think this is a different problem because vanilla 2.6.18-rc6 with ide-generic compiled as a module doesn't work for me.

Marcus Fischer (elyps) wrote :

I confirm it as well. I own a Asus P5B Deluxe motherboard, and it also fails to identify the IDE optical drive.

Joao Muniz (jrcmuniz) wrote :

Ok, unfortunately, same problem here...

Mobo ASUS P5B i965, Core 2 Duo E6400.

:(

Mariusz (mariusz) wrote :

I confirm this problem..
Mobo GIGABYTE GA-965P-DS3 P965, Core 2 Duo E6300 :(

Changed in linux-source-2.6.17:
assignee: zulcss → victor-petrov
description: updated
Chuck Short (zulcss) wrote :

Patch has already been sent.

Changed in linux-source-2.6.17:
status: Confirmed → Fix Committed
Game_Ender (game-ender67) wrote :

Does that mean the fix will be in dapper or edgy? and how can I tell when it is applied?

I also confirm the bug. I can't use linux! I would like to second the previous post.. will the fix be in Edgy and how will we know?

Someone (pc741tw) wrote :

I also confirm this bug.
I want to use Ubuntu.

BuJac (bj-aufderwacht) wrote :

same: P5VD2-MX, CORE 2 DUO, E6400, SB: VIA VT8237A, JMB363
all-generic-ide in grub.conf (kernel-line) works fine with 2.6.18-RC8
no solution for xen-3.0 unstable !?
someone?

Henri Cook (henricook) wrote :

This is NOT fixed in Edgy Knot 3, there also seems to be some sort of halt on the release of daily builds from before when Chuck submitted his fix - what a pain!

I'm hoping daily builds resume soon and I can get a daily install CD which hopefully will have chuck's patch!

Henri Cook (henricook) wrote :

This change hasn't made it into the changelogs yet, there seem to be a *lot* of us waiting for this, I for one am sitting here with a completely useless system as once i've got past the CDROM problem (by booting from USB disk), my SATA 2s aren't then recognised!

Do you know when this package will next be recompiled and hence, added to the daily build?

Changed in linux-source-2.6.17:
assignee: victor-petrov → ben-collins
importance: Untriaged → Medium
status: Fix Committed → In Progress
Changed in linux-source-2.6.15:
assignee: nobody → ben-collins
importance: Untriaged → Medium
status: Unconfirmed → In Progress
Changed in linux-source-2.6.15:
status: In Progress → Fix Committed
Changed in linux-source-2.6.17:
status: In Progress → Fix Committed
Someone (pc741tw) wrote :

I want to know when this package will fix,and added to the daily build!!

Bug confirmed.
MSI P965 NEO-F motherboard.

Really hope the fix gets in Edgy Eft, a lot of people (basically all people with a Core 2 Duo chipset + others) are affected by this problem.

Joao Muniz (jrcmuniz) wrote :

Dear all

I found this link on www.ubuntuforums.org

https://wiki.ubuntu.com/EdgyReleaseSchedule

OMG, it seems that we have to wait until October 19th-26th...

Cheers

Joao.

Game_Ender (game-ender67) wrote :

That is only the next official release, I would hope that there would be a nightly as stated above that includes the fix. Until then I am holding off on building my Core 2 Duo system.

Someone (pc741tw) wrote :

I want daily build include fix.

I need to use Ubuntu.

I bought a SATA DVD Writer to by-pass the problem. Samsung, 'Writemaster' SH-W163A DVD writer, which you can pick up online for GBP 25-30 in the UK. Be sure to buy a SATA cable and a molex to SATA converter so you can use the power. Not an elegant solution but good for the desperate. Except now I can't watch films because hdparm doesn't work with sata.

Ben Collins (ben-collins) wrote :

Fixed kernel is in two places:

1) dapper-proposed
2) edgy main

Choose your desired route. Tomorrow, we should have edgy daily ISO's with this new kernel.

Someone (pc741tw) wrote :

I am glad to hear that.
Thanks.

Joao Muniz (jrcmuniz) wrote :

Bad news... :(

take a look at:
http://www.ubuntuforums.org/showthread.php?t=258010&page=3&highlight=JMicron

last two posts:

doesn't work (gigabyte 965P DQ6 with core 2 duo) by "nuggien"

and

still doesn't work with Asus P5B Deluxe by "amorangi"

Someone (pc741tw) wrote :

I try today daily build.

Still wrong.

Maybe not include fix yet.

Harry up!

Someone (pc741tw) wrote :

Sorry.
I don't see "Tomorrow,we should have edgy daily ISO's with this new kernel."

I will try tomorrow.

Ante Karamatić (ivoks) wrote :

One note: all this boards are shipped with Realtek gigabit ethernet card, which is supported by r1000 module. It would be great if that module would be implemented in installer's /lib/modules/`uname -r`/kernel/drivers/net.

Henri Cook (henricook) wrote :

According to the changelists the fix IS included in the daily build of the 20th.. unfortunately it doesn't appear to work (confirmed with three other people)

If anyone has <any> success with this please post here - otherwise it looks like it's back to the drawing board Chuck! :s

neutrico (neutrico) wrote :

What can I say? I bought machine with Core 2 Duo at monday and until then I have to use windows... because - yes you are right - I can confirm that daily build from 20.09.2006 still doesn't work with Asus p5b deluxe.

Please, fix it. I really want to switch back to linux as quick as possible.

andrewpmk (andrewpmk) wrote :

Too bad, it doesn't work for me either. I just wasted a blank CD :(

josef (ok1dtm) wrote :

GA P965 DS4 confirm also cd with daily build from 20.9 no work with pata devices

Ben Collins (ben-collins) wrote :

Pretty much what this tells me is that the patch that I was provided
just doesn't fix the problem.

For those of you that can, please provide this information (from livecd
boot).

lspci -vv
lspci -vvn
dmesg

I'll work on getting this resolved as quickly as possible. The sooner I
can get this info, the sooner I can come up with a patch, and the sooner
I can create some daily images to test. Probably easiest way for folks
to test the daily kernels is to install on the disk from another
computer, update the kernel, and then boot this disk in the machine with
the JMicron controller.

Thanks

Thunder.m (thunder-m) wrote :
Download full text (75.0 KiB)

Hi I am using debian sid with vanilla kernel 2.6.18, evrything works.

lspci -vv:
00:00.0 Host bridge: Intel Corporation P965/G965 Memory Controller Hub (rev 02)
        Subsystem: Giga-byte Technology Unknown device 5000
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 PCI bridge: Intel Corporation P965/G965 PCI Express Root Port (rev 02) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: e4000000-e6ffffff
        Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
        Capabilities: [88] Subsystem: Giga-byte Technology Unknown device 5000
        Capabilities: [80] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000 Data: 0000
        Capabilities: [a0] Express Root Port (Slot+) IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x16, ASPM L0s, Port 2
                Link: Latency L0s <256ns, L1 <4us
                Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x16
                Slot: AtnBtn- PwrCtrl- MRL- AtnInd- PwrInd- HotPlug- Surpise-
                Slot: Number 32, PowerLimit 75.000000
                Slot: Enabled AtnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq-
                Slot: AttnInd Off, PwrInd On, Power-
                Root: Correctable- Non-Fatal- Fatal- PME-
        Capabilities: [100] Virtual Channel
        Capabilities: [140] Unknown (5)

00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #4 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Giga-byte Technology Unknown device 5004
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 4: I/O ports at b000 [size=32]

00:1a.1 USB Controller: Intel Cor...

Ben Collins (ben-collins) wrote :

On Wed, 2006-09-20 at 22:44 +0000, Thunder.m wrote:
> Hi I am using debian sid with vanilla kernel 2.6.18, evrything works.

1) Please do not paste large output into comments. You can attach files.
It helps preserve formatting and saves me from scrolling through the bug
report.

2) When asked for dmesg output to debug a problem, provide the dmesg for
the kernel in question, not another kernel.

3) Your problem is not related to JMicron. According to your dmesg, you
have no drives attached to the JMicron controller. The 300GB drives you
have are connected to the ICH8 controller.

Everyone here needs to confirm that they have in fact connected drives
to the JMicron controller and not a similar ICH8 controller to the
person who just sent this last dmesg output. I just did patches for
ata_piix/ich8.

The build of this kernel will be here in a few hours:

http://people.ubuntu.com/~bcollins/kernels-daily/2006-09-21/

Henri Cook (henricook) wrote :

Hi Ben,

Thanks for getting back, unfortunately I don't have another machine with SATA II support available so I'm stuck waiting for the daily CD/DVD images assuming there's no guide on how to build my own install cd with your kernels?

Attached is lspci -v on a machine with the ASUS P5B (not the deluxe one) with one DVD drive (IDE) and two SATA IIs - I can get around the cdrom not there issue by booting to USB disk, but then my SATA's don't get detected which *might* be the ata_piix issue you've just fixed, i'll try the first daily your kernel's in and let you know here.

Henri Cook (henricook) wrote :

And lspci-vv

Hi,
I am using a MSI P965 Neo-F Motherboard which uses the JMicron JMB361 controller (according to msi.com.tw).
The DVD drive (IDE) is connected to the JMicron controller, the SataII-HD is NOT connected to the controller.
The Attachement includes the output from lspci -vv, lspci -vvn and dmesg using the daily build of 2006-09-21.
I hope I could be of assistance.

sargosis (sargosis) wrote :

I can confirm that my DVD-RW and my CD-RW are connected to the JMicron Controller. Only my HDDs are connected to the ICH8. I just bought an ASUS P5B mobo (and CPU, hard drives, and video card) that until this all gets cleared up is acting as a $900 paperweight. I just wanted to say thanks to Bill for working on this. I realize that it must be hard to fix a problem that's hardware related when most of the people are complaining instead of offerring info.

As for myself, I'd offer anything i could, but i've never even used linux yet. I was hoping to make the switch this week, but encountered this problem.

C0VER (xcover) wrote :

it doesn't work here too, the cd just dont load...

Ben Collins (ben-collins) wrote :

I think I've found the commit that actually fixes this. The patches and bug reports were leading me to believe this was a bug entirely in the ahci driver, but in fact, it's a combination of that and the IDE layer.

I've cherry-picked some patches out of 2.6.18 that should resolve the problem. I'm upload kernel source today, which should build by the end of the day, and there should be new daily ISO's tomorrow with this kernel on it.

Someone (pc741tw) wrote :

I have the same problem.

Do you really fix it?

Thanks Ben for helping us, the mortal users of Ubuntu. I am sure this will
get fixed soon, so guys, be patient please.
Do a network installation of Ubuntu (like I did) and you'll have a working
OS, unless your HDDs are connected to the Jmicron controller.
If you can get it to install on SATA hdds, then compile your own
2.6.18kernel and you'll have your cd/dvd roms.
If you don't want or don't know how to compile a kernel, then sit without
your CD-Roms until Edgy gets released and please don't make useless comments
like : "do you really fix it".
Thanks and sorry for being the harsh comment, but I think it's time some of
you guys be more quiet.

Henri Cook (henricook) wrote :

It's worth noting that the majority of these Asus P5B Motherboards ship with an unsupported ethernet card, so even a network install is out of the question!

If anyone has drives that are not SATA, which is one of the things i've seemed to encounter problems with, you can use the instructions for a "Boot from USB Stick" on the Ubuntu Wiki which gets around the 'CD Not Found' bug. As i said personally once I was past this stage the only available destination for my install was my usb stick alledgedly, not very helpful! :p

I'd like to echo Victor's thanks to you and the team Ben, Ubuntu's a quality operating system and I believe one of the first (if not -the- first) server build of linux to port this fix, so if it begins working in the next build you might even get some more users out of it! And we all know how lovely the users are :o)

RaphaelM (maree) wrote :

Hello,

I have the same problem with ASUS P5B and CoreDuo, the hard-drive being connected to ICH8 SATA1 port, the DVD drive being connected to P5B PRI_IDE Connector.

I also tried to boot from another external DVD drive connected to USB ports, it also hangs after "Uncompressing Linux ... Ok, booting the kernel", but with error messages like: "usb 7-5: device not accepting address 4, error -110".
I don't know if this is related, but maybe it can help.

Let me know if I can provide more information.

Thanks to people trying to solve this. :)

sargosis (sargosis) wrote :

Reply to RaphaelM above:

I don't pretend to be an expert, but i've got a very similar system to yours (P5B, Core 2 Duo, SATA HDD, and DVD player in the IDE) and i also had the installation stop on the "Uncompressing Linux...OK Booting the Kernel" screen. I did find some interesting things while i was first booting up my system...

first off, it's probably freezing there because you're not using the 64-bit version of the install CD. I completely spaced on the fact that the C2D is 64-bit, so using a 32-bit OS on the CD was making things weird. Seccondly, the mobo itself doesn't like extra USB connections. I tried hooking up my case and the damn thing wouldn't start unless i unplugged those usb ports. It's possible that if you are using an extended port that it doesn't want to recognize it.

Hopefully this helps a bit.

kernelOfTruth (dalinuxlova) wrote :

sargosis, that's not completely true:

C2D is capable of doing 64bits but unlike Itanium it also supports 32bit, Core 2 Duo is an "extended" Core Duo with EM64T + pni + SSE4

ideally the 32bit or 64bit versions should do equally fine on these systems ...

btw:
Ben Collins, keep up the good work!

I've tried a ton of new kernels with this controller JMicron PATA (I have 2 ide-harddrives connected to it) on my Asus P5W DH

so far the only working kernels for me were:
2.6.18-rc4-mm1
2.6.18-rc4-mm2
2.6.17-emission8 works for me, too http://forums.gentoo.org/viewtopic-p-3555200.html#3555200
=> thank to this patch: http://distfiles.evolution-mission.org/sources/2.6.17/emission8/broken-out/031-jmicron-ide-2.6.17.patch
the controller also works with 2.6.17

all kernels below them don't work for me
the same applies for the newer kernels (don't "really" work): the kernels takes approx. 9 minutes to bring the controller / hdds up or just gives a message:
qc timeout (cmd 0xec)
failed to IDENTIFY
(I/O) error, err_mask = 0x4)

(2.6.18-rc6-mm1 / 2.6.18-rc6), this unfortunately also depends on Bios settings

I both tried libata (only libata) and ide but both show the same behavior ...

<== I hope this helps you a little & that you can find out the changes (& bad code ;-) ) which were made between those kernels to get a patched & working kernel

if you have a system with that chipset you can try it out:
http://forums.gentoo.org/viewtopic-p-3548439.html#3548439
a livecd which is based on 2.6.18-rc4-mm1

the build of 22nd does not work for me

How can I be of further assistance in finding the bug?

Henri Cook (henricook) wrote :

According to the package list for the install CD the kernel of the 22nd is the same as the one of the 21st! I don't know what's gone on there, grrrrrrrrrrrr...

Stefan Steinheimer (nosefish) wrote :

The kernel on today's (2006-9-22) daily iso is version 2.6.17-7.20 from Sept. 18, not the fixed 2.6.17-9.23, so it's not to be expected to work.

sargosis (sargosis) wrote :

So has the problem been fixed and we're all waiting for it to be released, or is it still being fixed?

Ante Karamatić (ivoks) wrote :

Na Pet, 2006-09-22 u 19:39 +0000, sargosis je napisao:

> So has the problem been fixed and we're all waiting for it to be
> released, or is it still being fixed?

It's fixed in Edgy, but there is still no install CD that includes that
fix. It will be, tomorrow around 8AM CET.

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

sargosis (sargosis) wrote :

Thank you, Ante. And for those of us who are new to the linux community, where will we be able to pick up that install CD? If you could, please provide a link. Thank you.

daily builds can be found here:
http://cdimage.ubuntu.com/daily/current/
please note that they're not final releases but experimental builds
sorry for off-topic *shrugs*

Ante Karamatić (ivoks) wrote :

Don't download latest iso. It still contains old kernel. OTOH, new kernel didn't do the trick for me. Kernel that works for me is 2.6.18-rc7-mm, I hope other will have better luck.

Henri Cook (henricook) wrote :

According to http://cdimage.ubuntu.com/daily/20060923/edgy-alternate-amd64.list

(the package include list for the AMD64 image) the kernel included is:

/pool/main/l/linux-source-2.6.17/linux-image-2.6.17-9-generic_2.6.17-9.23_amd64.deb

which to my inexperienced eye, looks like the latest one... i'll be trying this in about 6 hours and will post back if it worked with my P5B/CoreDuo then

wwuster (wwuster) wrote :

8:00 am usa eastern time, sept 23. I downloaded the current daily build:

23-Sep-2006 07:34 702M Alternate install CD for PC (Intel x86) computers (standard download)

I tried to install in text mode, but I still get the problem:

"No common CD-ROM drive was detected". I have a new intel motherboard and a core 2 duo.

Is this really going to be fixed soon?

William

Ante Karamatić (ivoks) wrote :

Na Sub, 2006-09-23 u 12:22 +0000, wwuster je napisao:

> Is this really going to be fixed soon?

This will be fixed for Edgy, but there are no guarantees it will be
fixed tomorrow, today or for three days. Edgy has a roadmap, it's still
under development and it's quite normal for system to be non-functional
while under development.

@ph8

Right, but installer still uses -8-386, so fix isn't in it.

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

wwuster (wwuster) wrote :

> This will be fixed for Edgy, but there are no guarantees it will be
> fixed tomorrow, today or for three days. Edgy has a roadmap, it's still
> under development and it's quite normal for system to be non-functional
> while under development.

But you said yesterday:

> It's fixed in Edgy, but there is still no install CD that includes that
> fix. It will be, tomorrow around 8AM CET.

Do you mean that there will be an install cd today?

William

Ante Karamatić (ivoks) wrote :

Na Sub, 2006-09-23 u 13:46 +0000, wwuster je napisao:

> But you said yesterday:

I did, but build machines weren't that fast as I've expected :)

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

neutrico (neutrico) wrote :

I installed edgy from daily build 21.09.2006 on some machine with via chipset and Pentium IV 3GHz and it installed without problems.

I "apt upgraded" and moved hdd to machine with Asus P5B mobo and Core 2 Duo CPU. Then I just couldn't boot.

It stopped on some ACPI messages and info about error when assigning "ACPI something" to CPU. I don't remember this message so I cannot write it here. But I just would like to report this behaviour to developers.

Then I gave up and installed dapper using instlux.

Another issue is that currently on Asus p5b mobo there are two gigabyte NIC's controlled by two Marvell chips while only one NIC's is functional in 10/100 mode.

Henri Cook (henricook) wrote :

Confirmed as broken in today's daily build - gah!

Installer kernel is -8 which i believe is the one that should contain the fix, what other information can I offer?

That's CD-ROM drive detection failing AND detection of my SATAs failing (even after trying various bios compatibility settings, AHCI seems to say they're up and freeze for 30 seconds, then the link is lost due to qc timeout or similar...)

Andcor (corneliussen) wrote :

Wasn't it the kernel -9 that contained the patch ?
I guess we just have to wait a little longer.
Just wanted to say that I am surprised that the error correction goes this fast, as I found out my computer wasn't able to boot on the dapper or the edgy cd-roms, I made myself ready to wait for months.
Thank you everybody!!

Hoeflerb (hoeflerb) wrote :

Using the 2.6.17-9.23-386 kernel in edgy with an ECS-P965T-A motherboard, the IDE controller doesn't appear to be working yet (with or without all-generic-ide). I've attached some hardware info. I haven't tried to compile this kernel myself yet, so I don't know if compiling in ide-generic (instead of as a module) still works as it did before.

JaFFa (bf5) wrote :

On my DS3 I am having no joy trying to make it work. I just thought id register my interest in getting this osrted out as soon as possible.

Changed in linux-source-2.6.17:
importance: Medium → High

the daily build of 9/26 with the -9-386 kernel doesn't work for me. (MSI P965 Neo-F)
I tried the bootoptions irqpoll and all-generic-ide but they make no difference.

Henri Cook (henricook) wrote :

This is properly fixed (i'm told) in the -10 kernel which will take a few days (at least) to make its way into the debian-installer package and, from there, to a daily image. Would appreciate it if someone posted back here once tested as i'll be out of the country

Ben Collins (ben-collins) wrote :

Kernel will be available in a few days.

Changed in linux-source-2.6.17:
status: Fix Committed → Fix Released
Changed in linux-source-2.6.15:
status: Fix Committed → In Progress
kernelOfTruth (dalinuxlova) wrote :

is it possible to download it in a .tar.bz2 -package?

so I could patch it against 2.6.17 and test it on my system ... (just want to help ;-) )

Thanks in advance ...

Andcor (corneliussen) wrote :

Available in a ubuntu edgy daily build cd or just plain available?

Henri Cook (henricook) wrote :

From what i've seen the kernel is uploaded, which means it will be available from the edgy repositories very shortly, if not already. After that it will take a few days to make it into a daily CD - i would estimate Monday at the latest without pretending to know a lot about the process.

josef (ok1dtm) wrote :

Ubuntu 6.10 (Edgy Eft) Daily Build from 27 Sept. no worked!

Andcor (corneliussen) wrote :

Why don't we stop talking about what did not work, so that we only talk about what does. We know the fix is on its way, so the only valuable information we can get is when someone tells that he/she has got it to work with an daily build.

Victor Petrov (victor-petrov) wrote :

Finally somebody said something worth reading.

Ante Karamatić (ivoks) wrote :

Na Uto, 2006-09-26 u 00:17 +0000, Ben Collins je napisao:

> ** Changed in: linux-source-2.6.17 (Ubuntu)
> Target: None => ubuntu-6.10-beta

Please, notice Target release; ubuntu 6.10 beta. There is no need for
panic. It is fixed and tested on different jmicron ide/sata controllers
and it does work. Wait for 6.10 beta release, which should be in a day
or two.

https://wiki.ubuntu.com/EdgyReleaseSchedule

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

Matthew Garrett (mjg59) wrote :

Just to make that clearer - we have added code that we believe fixes the problem in the cases we've been able to test. It's possible that there are other systems that will still not work, since there's a wide range of systems based on this hardware and we don't have a great deal available for local testing. If it doesn't work in the beta release, please let us know.

sgifan67 (c-mench) wrote :

I tested the 27/09 daily build.

I have a P5B and the CD and Harddrive are both on the IDE channel drived by the JMicron

The CD is now correctly detected, the harddrive also, the files are copied on the harddrive,
all is OK until the installation finishes and the PC reboot.

but then GRUB starts and display an Error 21...

So i think grub has problem booting my HD connected to JMicron IDE connection.

GRUB should be also on the list of trouble maker...

all i now is that with MANDRIVA 2007.0 RC2, the LILO bootloader boots with the exact
same configuration.

Andcor (corneliussen) wrote :

Can't you get it to boot if you connect your harddrive to one of the ICH8 sata controllers ?

sgifan67 (c-mench) wrote :

as I said i have an IDE harddrive not a SATA one

Andcor (corneliussen) wrote :

Aah sorry, did not see that

zoolonly (zoolonly) wrote :

I just tryed today's daily build and the JMicron Controller is Working with HDD and DVD drives !!

But the installer could not detect SATA drive that are detected with Ubuntu 6.06 ....

HetaUma (baziliz) wrote :

From what I've noticed, installer can detect both IDE and SATA drives only if they are connected to the same controller (JMicorn) and not IDE to Jmincron andd SATA to intel one.

For those who have the gigabyte ga-965p-ds3 the sata ports on the JMicron controller are the purple ones.

zoolonly (zoolonly) wrote :

Ok sata drives are detected on JMicron only ! It's a shame i've got only one SATA plug (JMicron) and 4 Intel !!!
But i m not anymore on WINDOWS !!!! ;-))

Victor Petrov (victor-petrov) wrote :

Aren't the SATA ports on JMicron controller supposed to handle external SATA
drives? Why mix things up if the ICH8R has 6 SATA ports.. (on my ASUS P5B
board).
I have 2 DVD ROMs connected to the JMicron, the rest of my drives are
connected to the ICH8R controller.
I'll download the image today and see if it works correctly.

Victor

Matthew Garrett (mjg59) wrote :

Because we appear to have a regression in ICH8 support that hasn't been
fixed in time for beta.

Joel Ebel (jbebel) wrote :

Hmm. I just tried to install the 6.10 beta on my Asus P5B-VM, and I still have errors with the Jmicron.

PCI: JMB36x: Enabling dual function on 0000:03:00.0
And then 4 of:
Cannot allocate resource region {0..4} of device 0000:03:00.0
then an Error while updating region 0000:03:00.0/0 and lots of 0's

If the beta was supposed to work, then I think this needs another look.

SFAOK (gary-breavington) wrote :

More confusing behaviour that I think is related to this bug (apologies if not).

I have a P5B and I've tried the beta (the desktop install CD) with an IDE DVD writer and a SATA hard drive. I've put the hard drive on both the JMicron controller and the ICH8 controller, tried both AHCI and IDE options on both and tried no extra boot command line options, as well as all-generic-ide and all-generic-ide irqpoll. In all of those combinations, the boot splash screen comes up, the DVD drive does nothing and after a while a screen with "Busy Box" comes up, complaining that it can't access tty because job control is turned off.

Once again, apologie if this is the wrong place to be putting this...

Andcor (corneliussen) wrote :

I get the exact same failure as Joel Ebel while trying to boot the beta disc.

godot (godotcg-launchpad) wrote :

I confirm too, I have same failure than Joel Ebel when booting the beta desktop disc. With the alternate cd, it doesn't find the cd drive or the driver for the drive (I don't remember) and I tried a few drivers in the list it prompts, but no success.
Core 2 duo, MSI Neo-F
In the same time, I don't know if it's the same bug but : I can install Dapper, and then upgrade to Edgy, but Edgy won't finish booting with 2.6.17-10 kernels. It stops to "booting: Waiting for root filesystem", and then after approx. 4 minutes it says it doesn't find my partition (with UUID or by directly suppling /dev/sdaX). And indeed if I type `ls /dev/sd*` under BusyBox, there's nothing. But with the kernel Dapper I still have, it boots fine (with UUID or with root=/dev/sdaX)

sargosis (sargosis) wrote :

I can also confirm an error. The CD rom detection goes smoothly (although it did have a hard time with my keyboard for some reason), but now, it can't detect my hard drives. I've got an IDE-connected DVD-RW on a P5b mobo and two SATA hard drives connected to channels 1 and 2 internally.

Someone (pc741tw) wrote :

I try it.

Using AHCI can detect hard drives.

But setup will not succeed.
(Base system)

dgamble (dgamble1) wrote :

I also tried the 20060928 daily (alternate, 64-bit) image, and I too have the same result that Joel Ebel had. The Dapper install fails in the way described in the first post. I also tried uplugging the SATA drive and just booted with the pair of PATA optical drives; no change.

MSI P965 Neo, Core 2 Duo E6400.

Anything I could provide or do to help get this issue finally resolved? I am really hoping I am not stuck with Windows.

Ante Karamatić (ivoks) wrote :

IDE devices, connected to IDE part of Jmicron controller now work. SATA
disks connected to SATA part of Jmicron controller also work, but it's
not possible to boot from it (grub error 15, iirc).

ICH8 SATA controller doesn't work. This is a known situation. This is
another bug and is totally unrelated to this bug.

In Dapper is other way arround. ICH8 works, but Jmicron doesn't. So, you
can easily install Dapper using PXE boot/install.

So, there's no need for anymore confirmation. ICH8 bug is real and
known.

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

dgamble (dgamble1) wrote :

Just to quickly respond to Ante here, IDE devices, connected to the IDE part of Jmicron controller, definitely still don't work- at least for me and many other people here. But, it does now seem to work for some people, at least.

lark (larkin8) wrote :

the 20060928 daily alternate image works with GIGABYTE GA-965P-DS3 with cdrom attached to ide and sata drive attached to jmicron (purple connector). drives attached to ich8 are not recognized. also jmicron sata must be set to ahci in the bios.

Ben Collins (ben-collins) wrote :

Just so everyone understands what's going on. The problem is fixed. Our kernel now supports this. However, it seems that certain CD image types (desktop that I know of) doesn't contain the jmicron driver. I've already filed a bug on this and marked it for ubuntu-6.10 release milestone. Hopefully when it gets fixed, it will start showing up in the daily's.

Henri Cook (henricook) wrote :

Can anyone tell us which cd images ARE currently working? Would be immensely helpful to all i'm sure..

SFAOK (gary-breavington) wrote :

Thanks for all the work on this problem and the feedback.

Are there bugs filed for the ICH8 problem Ante says is known and the bug that Ben filed about the JMicron patch not showing up in certain releases? I've spent some time searching for them both but without any luck. If those are the bugs that are causing me problems, I'd like to track the bug pages for them. Thanks again!

dgamble (dgamble1) wrote :

I'd agree with ph8- it would be helpful to know which images are supposed to work.

Since we've had several people use the Ubuntu 20060928 daily alternate image, and report successes (barring the seperate ICH8 issue)... and several other people using the same image, and instead reporting a different (and consistant) problem still with the JMicron controller, it seems that this fix may not be complete. I'd be happy to test to prove this one way or another...

Ante Karamatić (ivoks) wrote :

Na Pon, 2006-10-02 u 01:58 +0000, dgamble je napisao:

> Since we've had several people use the Ubuntu 20060928 daily alternate
> image, and report successes (barring the seperate ICH8 issue)... and
> several other people using the same image, and instead reporting a
> different (and consistant) problem still with the JMicron controller, it
> seems that this fix may not be complete. I'd be happy to test to prove
> this one way or another...

I hope this is the last time we repeat the same thing :)

Jmicron IDE and Jmicron SATA are working in latest Edgy prereleases
(beta nad daily builds). If it doesn't work, the probably you have to
fix your BIOS settings.

ICH8 still doesn't work. This means that you will be able to start
installation, but it will not discover any disks connected to ICH8. Even
booting installation could last longer cause of ICH8.

Problem is that, all of you who have P5B, your disks are connected to
ICH8, and CDROM to Jmicron. You are hit by two different bugs, which
only feel like one.

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

godot (godotcg-launchpad) wrote :

You didn't answer to SFAOK's question : is there a bug report related to the ICH8 problem? Or should we open one? The goal is to avoid to bother you in the wrong place and to keep bothering you in the right place (ICH8 bug report) ;-)
I suppose you don't really need info about that bug, but it would allow us to keep an eye on the progress of this bug. And to be assured that it is marked for ubuntu-6.10 release milestone. Indeed ICH8 works in Dapper, so it's a serious regression. And probably a high importance bug, since someone like me who has one SATA HDD and one SATA DVD drive is a little embarrassed since Jmicron can't be used with it's single SATA connector.

Ante Karamatić (ivoks) wrote :

Na Pon, 2006-10-02 u 08:35 +0000, godot je napisao:
> You didn't answer to SFAOK's question : is there a bug report related
> to the ICH8 problem? Or should we open one? The goal is to avoid to
> bother you in the wrong place and to keep bothering you in the right
> place (ICH8 bug report) ;-)

You don't bother me, since I'm not (Ubuntu) kernel developer. I just
tried to provide patches for problem which would hopefully help others.

Unfortunatly, I can't test and work with edgy's kernel on machine with
ICH8, since that machine went in production with Dapper's kernel. If you
have time/will to help kernel developers, please contact them.

ICH8 bug: bug #63516

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

Adam Collard (adam-collard) wrote :

On 10/2/06, Ante Karamatić <email address hidden> wrote:

> I hope this is the last time we repeat the same thing :)
>
> Jmicron IDE and Jmicron SATA are working in latest Edgy prereleases
> (beta nad daily builds). If it doesn't work, the probably you have to
> fix your BIOS settings.

If the fix to BIOS settings you're referring to is using AHCI, then I'm in
trouble -
my BIOS doesn't let me select AHCI.

I guess I'll have to wait for bug #63516 to get some Ubuntu Kernel Developer
love

Bowens (bowens) wrote :

Could Someone who has successfully installed ubuntu on a p5b system lay out the bios settings that allowed the kernel to recognize their sata drive and ide optical drive?

dgamble (dgamble1) wrote :

> I hope this is the last time we repeat the same thing :)

> Jmicron IDE and Jmicron SATA are working in latest Edgy prereleases
> (beta nad daily builds). If it doesn't work, the probably you have to
> fix your BIOS settings.

Yes, we know this has been said a number of times, but I am just saying that- perhaps! - the "fix" in place doesn't actually work on everyone's controller. :-)

Joel Ebel, Andcor, godot and myself have all tried the fix, and we all get the same error message, which is a different result prior to the fix. If anyone can suggest to all of us which BIOS option(s) may also be needed to make Linux work with JMicron -connected PATA drives, that would be helpful- because I've tried every one that looks like it might work (again, MSI P965 Neo).

As I noted, I know this isn't related to the ICH8 issue, which I don't even have any drives plugged into (or for that matter, even tried without any SATA drives plugged in at all). The JMicron controller on this MB does have a single SATA port.

Perhaps the fix is incomplete, or maybe this is a third issue?

If it helps any, Windows XP Pro (64-bit) installed without a blip, and even my ancient original Windows XP CD worked.

Sorry for being "persitant", but I just want to make sure everyone understands that not everyone is fixed. :-/

jk (johan-illwinter) wrote :

I just wanted to say that I'm also having trouble with my P5B and the daily ubuntu build. Tried with and without AHCI, but no luck.

godot (godotcg-launchpad) wrote :

Ok, I have done tests to be sure. I tested the beta desktop cd. It includes the fix patch (beta alternate cd didn't because it was too late to be included or something like that)
So, with the desktop cd, I tried with a SATA dvd drive connected to Jmicron sata port, with nothing connected to ICH8. I also tried with an IDE dvd drive connected to Jmicron ide port : same result, the cd boots and soon I got the error reported by Joel Ebel :
PCI: JMB36x: Enabling dual function on 0000:03:00.0
And then 4 of:
Cannot allocate resource region {0..4} of device 0000:03:00.0
then an Error while updating region 0000:03:00.0/0 and lots of 0's

Conclusion : the fix really doesn't work for everyone.

On my MSI Neo-F, there's a Jmicron 361. With linux-source-2.6.17 2.6.17-10.24, the change claimed : "Works for the 366 and 363 eval boards that JMicron provided me. SATA (ahci) appears to be working as well."
So Jmicron 361 was not tested. But "Asus P5B-VM" used by Joel Ebel has a JMB363. So it is seems that for all sorts of Jmicron there's still a problem. Really.

gok (gok) wrote :

jmicron recognize :

root@torax:/proc# lspci |grep JM
03:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
03:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)

But i'm not using this controller ... this night i will try !

Linux torax 2.6.17-10-generic #2 SMP Mon Oct 2 00:04:03 UTC 2006 i686 GNU/Linux
Ubuntu Edgy beta alernate iso
Asus P5B deluxe

PS:/ ICH8r not recognize ( bug #63516 )

enalactica (lightson253) wrote :

Help!!!
Motherboard ABIT AB9 Pro
JMICRON SATA II JMB363

Mounting file system...
<and boooooooooooommmmmmmmm>

Can't access tty. job control turned off

Andcor (corneliussen) wrote :

Just curious
Now it's the 4 of October and the kernel will freeze tommorrow. Is there
anyone who has got some good news about either of the bugs, so that I
still can have some hope that the bugs are fixed in the final realease
of edgy ?

Andreas

Ben Collins (ben-collins) wrote :

The kernel is fine. The only issue is that initramfs-tools was not placing the jmicron.ko module in the installer's initrd, so the CD's would not work. I uploaded a fixed initramfs-tools package today. Maybe the daily's tomorrow will work.

Andcor (corneliussen) wrote :

Thats really great. I'm really gratefull for that. Until now I have had
to make do with an fedora core install. It is linux, but it certainly
cannot stand up against my beloved Ubuntu

gok (gok) wrote :

Ben Collins
do you think that bug 63516 will be also solved with this update ?

gok (gok) wrote :

I have just updated my “edgy beta”. now I must disable jmicron controllor if not the system does not start.

I tested modes. :"ahci, raid, ide"....

Bowens (bowens) wrote :

I tried todays build with asus p5b and the both the pata optical and sata hdd attached to J-micron. With the desktop image I still get the job control turned off error. Perhaps today's image does not contain the corrected module in the installer. Perhaps tommorow's will.

selim.dost (selim-dost) wrote :

I also tried todays build on a P5B and it booted okay into the intaller. You have to have an active network cable in the NIC to get it to detect.

It also detected the CDROM okay aswell. The only thing is it is asking me for my hard drives contoller (JMB363) driver.
I select Jmicron and nothing happins. Doesnt like it... is there some driver i can just put on floppy and get er done?

FHR (fhrouet) wrote :

I tried today's build on my DS3, and for the first time (I have tried all the daily builds for 2 weeks...), it worked perdectly !

I didn't had to enable "AHCI". I think that the fix mentionned by Ben Collins has been included in this daily build (the version number of "initramfs" has increased).

SFAOK (gary-breavington) wrote :

"It also detected the CDROM okay aswell. The only thing is it is asking me for my hard drives contoller (JMB363) driver. I select Jmicron and nothing happins. Doesnt like it... is there some driver i can just put on floppy and get er done?"

The version of initramfs-tools has increased but not the version of busybox-initramfs has not - could this be the problem?

No improvement for me using daily 10/5 desktop build. acpi=off or not, still same PCI Region error duing CDROM boot on ECS P965T-A mb; no SATA devices present, just the two PATA drives (optical and HD).

Matt Mueller (muellermr) wrote :

I'd like to confirm the above, that the 10/5 daily did not work. I'm not too hardware-savvy, is there anything I need to be changing in either the BIOS or physically?

I just finished putting together a new computer, Core Duo, P5B MB, SATA hard drive, etc.

dgamble (dgamble1) wrote :

Perhaps it would be helpful if the bug owner could just post a blurb and iso URL (so that we are all trying the image we should be) when it's confirmed that a properly-made iso is created that incorporates this fix.

(To confirm, no, no change with the 10/05 image for me).

jk (johan-illwinter) wrote :

10/06 image does not work for me either. I get a "no hardrive found" when it's time for partitioning.

godot (godotcg-launchpad) wrote :

I tried Desktop cd image from 10/06, I still get "Error while updating region 0000:...."

I know the kernel is supposed to be fine, but since I don't know what package still causes a problem, I report here.

Matt Mueller (muellermr) wrote :

I managed to get Dapper installed via instlinux net install (of course had to put another network card in my box first).

Oddly enough, it worked fine until I tried to update to Edgy (thinking that would possibly help my cd/dvd and network card be identified). I ended up having to reinstall.

JaFFa (bf5) wrote :

I just want a simple install of linux, this situation really sucks. Surely the problem must be on the increase with all the new conroes getting more and more popular.

Andcor (corneliussen) wrote :

Well the problem isn't as bad any more. The problem is more or less
solved, the only thing that needs doing is patching the install cd's
proberly.
Therefore the only thing we have to do is being patient a little longer
until Edgy goes stable later this month.

gok (gok) wrote :

i want to used EDGY now on P5BDeluxe (Jmicron + ich8)

i bought pci controller ide : Silicon image with 2 ide connectors => 15€

Edgy works fine ;-)

04:01.0 RAID bus controller: Silicon Image, Inc. PCI0680 Ultra ATA-133 Host Controller (rev 02)

when stable will be release i will sell it on ebay ;-)

Jimmy Tang (jrtang85) wrote :

Not sure if this is the same bug anymore, but I also get the error as multiple users in this thread when I try to install off the daily:

PCI: JMB36x: Enabling dual function on 0000:03:00.0

This happens regardless of whether I have the SATA hard drive on the JMicron or the normal ich8 SATA slots.

Andcor (corneliussen) wrote :

This is just a thought. Can it be that this is related to the ICH8 bug that is, as today, solved?

Victor Petrov (victor-petrov) wrote :

Can you please provide a link for all of us to see solution?

On 10/10/06, Andcor <email address hidden> wrote:
>
> This is just a thought. Can it be that this is related to the ICH8 bug
> that is, as today, solved?
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

Andcor (corneliussen) wrote :

It is this one:
https://launchpad.net/bugs/63516

It does not mean that the jmicron is all gone i think, a have just
downloaded the alternate daily from today and tried with that, but I got
the same error as before:

Cannot allocate resource region {1} of device 0000:03:00.0
Cannot allocate resource region {2} of device 0000:03:00.0
Cannot allocate resource region {3} of device 0000:03:00.0
Cannot allocate resource region {4} of device 0000:03:00.0

It would be really great if someone told me if this errors could be
related to the jmicron controller, or I have to find a new bug to watch
for news.

Andreas

Bowens (bowens) wrote :

On an asus p5b I was able to install today's AMD 64 alternate with the following settings.

-ACPI enabled
-AHCI mode for the JMICRON SATA Connector

After install I recieved a GRUB error 21 and had a mess of trouble but if these settings help then good luck to you.

godot (godotcg-launchpad) wrote :

Everyone is still having problems with Jmicron. A fix was released, initramfs-tools was patched too, but there is still a problem !
People can't install Edgy with their Jmicron. "Cannot allocate resource region" errors, or "GRUB error 21" error, ...
Personally, I managed to install Edgy, and I can boot with linux-image-386 (though I get "Cannot allocate resource region" errors), but in the same time linux-image-generic won't boot.

I think the number of posts since Ben said it was definitively solved with initramfs-tools correction speaks by itself : still not completely fixed.

SFAOK (gary-breavington) wrote :

----- Original Message ----
From: godot <email address hidden>
To: <email address hidden>
Sent: Wednesday, 11 October, 2006 9:13:23 AM
Subject: [Bug 57502] Re: JMicron PATA/SATA Controller does not work

> People can't install Edgy with their Jmicron. "Cannot allocate resource region" errors, or "GRUB error 21" error, ...

I think the Grub error may actually be a problem with Grub not recognising the JMicron controller, which is actually a different bug to this one. I've filed a bug report here: https://launchpad.net/distros/ubuntu/+source/grub/+bug/64574

SFAOK

Send instant messages to your online friends http://uk.messenger.yahoo.com

godot (godotcg-launchpad) wrote :

Of for Grub error, I confirmed the bug on the report you filed.
Concerning "Cannot allocate resource region" errors, someone reported a bug here : https://launchpad.net/distros/ubuntu/+source/linux-source-2.6.17/+bug/63607
But one more time the kernel itself may not be the source of the problem.

I hope with all this will see the end of the problems :-)

Andcor (corneliussen) wrote :

If the kernel is not the problem, then were else could we report a bug, so
that this could be solved before the ending release og edgy?

2006/10/11, godot <email address hidden>:
>
> Of for Grub error, I confirmed the bug on the report you filed.
> Concerning "Cannot allocate resource region" errors, someone reported a
> bug here :
> https://launchpad.net/distros/ubuntu/+source/linux-source-2.6.17/+bug/63607
> But one more time the kernel itself may not be the source of the problem.
>
> I hope with all this will see the end of the problems :-)
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

popeyeray (popeyeray) wrote :

I have just bought the Lite-On Corp CD-RW/DVD Model SHC-S257K0SC SATA Drive. It allowed me to install linux as I was not able to before on my CD-RW/DVD-RW IDE drives. I bought the drive for $40.00 at the PC Club
http://www.pcclub.com/
I went to Fry's electronics and Comp USA and neither had a drive that was SATA. In fact Fry's didn't know what I was talking about, and I didn't even bother asking Comp USA. Anyway I think that this is the solution if you couldn't install due to the install crapping out in the beginning. I believe this is due to the communication bewteen the IDE and SATA interfaces, they don't speak to each other when trying to install linux.

godot (godotcg-launchpad) wrote :

> If the kernel is not the problem, then were else could we report a bug, so
> that this could be solved before the ending release og edgy?

I have the same question... The fact is that the current bug report (#57502) is marked "fix released". We keep adding comments to say there are still problems around Jmicron at boot, but I don't know if anyone really takes care, since the problem is considered solved concerning the kernel itself. In the same time where else could we report the problem since we don't know which component is to be blamed if it's not the kernel.
I think like you : I fear it may not be solved before Edgy is released.

Andcor (corneliussen) wrote :

I'm thinking about if we could write to ben and hear him if he knows what we
can do to make it work. It is him that has marked this bug as fix-released,
and he has helped us more than once.

2006/10/12, godot <email address hidden>:
>
> > If the kernel is not the problem, then were else could we report a bug,
> so
> > that this could be solved before the ending release og edgy?
>
> I have the same question... The fact is that the current bug report
> (#57502) is marked "fix released". We keep adding comments to say there are
> still problems around Jmicron at boot, but I don't know if anyone really
> takes care, since the problem is considered solved concerning the kernel
> itself. In the same time where else could we report the problem since we
> don't know which component is to be blamed if it's not the kernel.
> I think like you : I fear it may not be solved before Edgy is released.
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

Robert Rak (cynicist) wrote :

I thought this was already made clear...

"Just so everyone understands what's going on. The problem is fixed. Our kernel now supports this. However, it seems that certain CD image types (desktop that I know of) doesn't contain the jmicron driver. I've already filed a bug on this and marked it for ubuntu-6.10 release milestone. Hopefully when it gets fixed, it will start showing up in the daily's."

-Ben Collins-

So its only a matter of time now. At least we know it will definitely be fixed by the end of the month.

Andcor (corneliussen) wrote :

Ok, but this helpes not at all if some of us stille aren't able to boot
from any of the daily's yet.
The message from Ben Collins that you are citening are from the 1. of
October which is 13 days ago. Therefore I see a little problem still
beeing here. However I don't know if it is the jmicron controller that
is stille causing problems, but nobody can tell me if it is, and
therefore nobody can tell me where to file a bug.

andyholdaway (andy-holdaway) wrote :

I've just got the install working from the amd-alternate cd (and it also boots with the live amd64 cd). Used the daily builds from the 16th
I've got an ECS P965T-A motherboard and the solution was to disable the legacy USB keyboard/mouse support. The install then proceeded (with the same errors as other people receive:
Cannot allocate resource region {1} of device 0000:03:00.0
etc
These messages display, then after a short pause it continues. The only difficulties I had were:
1. I had to plug in a non-usb keyboard to add the boot options (irqpoll) but once the install started the USB keyboard/mouse worked fine
and
2. The grub install failed as I've got a separate IDE disk with XP on it. I opened up anew window (ALT-F2), changed root to /target, and then did /sbin/grub-install /dev/sda.
And that was it - simply disabling legacy usb support seems to have fixed things. I did the text based install, not the OEM version.

kaz (ubuntu-tvetc) wrote :

I tried to install edgy with the 20061017.1 i368 alternate, and it actually found both my DVD drive (connected to the JMicron 363) and my harddisk (connected to the ICH8R), so that I could install ubuntu.

However, the installed system freezes directly after boot. It tries to initialize the Jmicron controller, but throws a few errors:

PCI: JMB36x: Enabling dual function on 0000:02:00.0
PCI: Cannot allocate resource region 0 of device 0000:02:00.0
PCI: Cannot allocate resource region 1 of device 0000:02:00.0
PCI: Cannot allocate resource region 2 of device 0000:02:00.0
PCI: Cannot allocate resource region 3 of device 0000:02:00.0
PCI: Error while updating region 0000:02:00.0/0 (0000d000 != 00000000)
PCI: Error while updating regiopn 0000:02:00.0/2 (0000d008 != 00000000)

and then freezes completely without any further messages. Thus, the linux partition on the harddrive is still unuseable.

So if the problems really are fixed, I guess the working kernel has not yet been included in the dalies. Is the any difference between the daily boot kernel (which works with the DVD drive) and the kernel for installations (which obviously must be configures differently)?

Aric Cyr (acyr) wrote :

I have an Abit AB9 also with the JMicron 363 chipset (ICH8 as well). In my BIOS settings I can change the mode of the JMicron chip to "IDE" or "RAID" mode. In "RAID" mode the "PCI: cannot allocate..." errors go away. Others may want to try that.

I also can confirm that I needed to plug in a PS/2 keyboard in order for things to boot up to completion off the amd64 live CD. (daily from 1+ weeks ago).

I am planning on retrying with the Oct17 daily later tonight.

I can confirm kaz' observation just above: I can install with the 16 Oct Daily build liveCD, but the system freezes once it's been booted (an ardous process in itself, with manual grub'ing (see bug 66667)).

Errors are :

PCI: JMB36x: Enabling dual function on 0000:03:00.0
PCI: Cannot allocate resource region 0 of device 0000:03:00.0
PCI: Cannot allocate resource region 1 of device 0000:03:00.0
PCI: Cannot allocate resource region 2 of device 0000:03:00.0
PCI: Cannot allocate resource region 3 of device 0000:03:00.0
PCI: Error while updating region 0000:03:00.0/0 (00009008 != 00000000)
PCI: Error while updating region 0000:03:00.0/2 (00009010 != 00000000)
ALERT! /dev/hda1 does not exist. Dropping to a shell!

Can NOT confirm Aryc's observation: changing BIOS setting to RAID/IDE instead of IDE kills the boot at this:
PCI: JMB36x: Enabling dual function on 0000:03:00.0

Does not drop to a shell, nothing...

Aric Cyr (acyr) wrote :

Anders, sounds like you are confirming what I said: The resource errors went away.

Do you have a PS/2 keyboard plugged in? Also you might need to enable/disable legacy USB keyboard/mouse support in BIOS. I got stuck where you are and worked around it this way (I think... it's been a while).

kaz (ubuntu-tvetc) wrote :

Anders, you have the HDD plugged into the JMicron controller, right? In my configuration, the HDD is plugged into an ICH8R connector (the Foxconn board I'm using only has an external SATA connector from the JMB363, no internal one) - alas, my system freezes as described above, with errors from the jmb36x driver (which only has a DVD-ROM connected to it).

Aryc, I use a standard PS/2 keyboard. Do you mean I should disable "USB legacy support" to get the installed system to boot? I will try that out later tonight.

Aric: I have a USB keyboard pluged into an USB->PS/2 converter (and then plugged in to the PS/2 port). Played with switching on/off legacy USB options in the BIOS to no avail.

Kaz: I don't know, actually. I bought my pc from a friendly custom build company who assembled it all for me. If it makes a difference I guess I can try to open it up and have a look.

Oddly enough, both the ubuntu installer and later grub finds the hard drive; it just freezes 2 seconds into boot...

- this isn't exactly the customer experience we want to give new ubuntu users...?

kaz (ubuntu-tvetc) wrote :

Anders, I don't think it makes much of a difference. I just assumed it from your boot log - on my system, the SATA drives on the Intel controller are detected as sda, sdb etc., and your system wanted to boot /dev/hda1.

But obviously, it doesn't make much of a difference - whether you try to boot from the JMicron chip or from the Intel ICH8R, the kernel hangs during or directly after initializing the JMB36x controller. And this now happens with the *installed* system only, not with the live kernel that is used for the installation process.

Let's hope the kernel package that is put onto the HDD ist patched soon as well...

dgamble (dgamble1) wrote :

> Re: JMicron PATA/SATA Controller does not work from Robert Rak at 2006-10-14 08:43:21 UTC

> I thought this was already made clear...

The only thing that has been made clear is that the bug owner believes that a fix has been released, but this is not the case.

This fix works for some users. And, it doesn't work for other users. I could certainly be wrong, but, this sounds a lot of like a problem with the fix, and not an issue with "some of the CDs" (since NONE of the CDs work).

If a working fix had been released, then the bug owner should have told us where and when, so we all can confirm that the issue is resolved, and alter the bug status if not. This was never done. If a working fix has NOT been released, then this bug should never have been in this status.

I've opened a new bug, #66747, which will hopefully get some attention. I too am extremely concerned that this will get forgotten.

JaFFa (bf5) wrote :

If it gets forgotten, so will ubuntu! I cant install it, Ill never use it. Shame.

Andcor (corneliussen) wrote :

Well, it isn't easy to forget about ubuntu. It is, in my oppinion by far the
best linux-dist on the market right now. It would be an terrible setback for
me if this bug gets forgotten since I have build a media center which
hardware isn't well supported in windows media center ed.

I have written to Ben Collins who owns this bug, and the only thing he
writes back are that the cd's should work, and that they sometimes is very
slow at startup.

I have bought some cdrw's to burn the dailys from today to see if it has
gotten better. Don't know if any others would like to write to him, so that
he can realize that the bug isn't quite fixet yet.

Andreas

2006/10/18, JaFFa <email address hidden>:
>
> If it gets forgotten, so will ubuntu! I cant install it, Ill never use
> it. Shame.
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

Hali (hampus-linden) wrote :

Not sure if it is fixed or not, but it "works for me".
I downloaded the 1013 daily alternative build cd and installed on Abit AB9 Pro motherboard using the JM controller without any problems what so ever. Clean install, no hacking about.
Used a SATA Plextor DVD drive and a 400Gb SATA2 Samsung drive.

kaz (ubuntu-tvetc) wrote :

Hali, just to find out where the differences may lie (apart from the Mainboard, that is), a few questions:

1. As far as I know, the Abit AB9 Pro has 6 Intel SATA ports (somewhere near the 7-segment POST display) plus two internal JMB ones (located between the PCIe slots. To which of these ports did you connect the DVD drive and the harddisk?

2. Do you have any standard IDE/ATAPI devices connected to the board?

3. Could you check you boot log and post the intitialisation messages for the jmb controller (as I did above) so we can compare what happens?

Any help would be appreciated.

Andcor (corneliussen) wrote :

Hi Anyone
I have just gotten the alternate live-cd booting on my msi P965 Neo motherboard.
I selected raid mode for the ICH8 controllers in my bios and booted
with no futher problems.

Hope it will get as easy for you others as it were for me.

Hali (hampus-linden) wrote :

Kaz,

1.That is correct. The two devices are connected to the SATA connectors between the PCIe slots.

2. Nothing besides the DVD drive and the Samsung drive

3.See attached dmesg output

Currently using the AMD64 release.

I'm happy do to further testing if required.

godot (godotcg-launchpad) wrote :

I must confirm that it now works for me (MSI MS-7235 P965 Neo). I had a look to this page : https://wiki.ubuntu.com/Core_2_Duo_Support
and found that disabling legacy USB support (keyboard/mouse) allowed me to boot. In fact setting "USB Keyboard support" and "USB Keyboard support" settings to "Disabled" in the bios made the trick (I added this precision to the wiki page). "Cannot allocate resource region" errors still occur but are not fatal, and Jmicron attached devices work.

Reading the previous posts, I conclude that Jmicron problem may really be solved, since more and more persons confirm they now can boot and use Jmicron, including me. They are other problems which may interfere here. Good luck.

kaz (ubuntu-tvetc) wrote :

I concur - the problem my actually lie somewhere else. When I disable both USB keyboard and USB mouse support in the BIOS (which I can do without problems at the moment, as I use a PS/2 keyboard), my Foxconn board boots into the installed Ubuntu (efx daily x86 20061017.1), too, though the error messages remain.

Thus, it may be the case that this is not a JMicron, but rather a USB problem. Some part of the kernel must be responsible for the hangup with legacy support enabled. Plus, the kernel on the daily CD itself boots fine with legacy support enabled, so there must be some difference between the two.

Thanks godot for reminding me of the legacy support issue - i had tried that setting with an earlier version of edgy eft to no avail, and had already forgotten about it.

dgamble (dgamble1) wrote :

> Hi Anyone
> I have just gotten the alternate live-cd booting on my msi
> P965 Neo motherboard.
> I selected raid mode for the ICH8 controllers in my bios
> and booted
> with no futher problems.

I did just try this.. (Integrated Peripherals -> On-Chip ATA Devices -> IDE/RAID Control -> RAID, is this the same option for you?), and like other users, it instead hangs at "PCI: JMB36x: Enabling dual function on 0000:03:00.0".

As before, this is with two IDE devices and a SATA drive on the jMicron controller, and nothing on the Intel controller.

Was worth a shot, I suppose. Might be worth it to try a Fedora Core 6 test CD?

Andcor (corneliussen) wrote :

Have you also tried to set the usb keyboard and mouse as disabled in bios.
That made it able to boot. Also Ben Collins wrote to me that the cd's
sometimes takes very long time to boot, so you sometimes have to wait a
little. Have you tried with the irqpoll option at boot ?

Andreas

2006/10/20, dgamble <email address hidden>:
>
> > Hi Anyone
> > I have just gotten the alternate live-cd booting on my msi
> > P965 Neo motherboard.
> > I selected raid mode for the ICH8 controllers in my bios
> > and booted
> > with no futher problems.
>
> I did just try this.. (Integrated Peripherals -> On-Chip ATA Devices ->
> IDE/RAID Control -> RAID, is this the same option for you?), and like
> other users, it instead hangs at "PCI: JMB36x: Enabling dual function on
> 0000:03:00.0".
>
> As before, this is with two IDE devices and a SATA drive on the jMicron
> controller, and nothing on the Intel controller.
>
> Was worth a shot, I suppose. Might be worth it to try a Fedora Core 6
> test CD?
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

Andcor (corneliussen) wrote :

By the way, I have had fedora core on my computer until I got the ubuntu
installed, and that worked ok (but it just were not the same as ubuntu)

2006/10/20, Andreas Corneliussen <email address hidden>:
>
> Have you also tried to set the usb keyboard and mouse as disabled in bios.
> That made it able to boot. Also Ben Collins wrote to me that the cd's
> sometimes takes very long time to boot, so you sometimes have to wait a
> little. Have you tried with the irqpoll option at boot ?
>
> Andreas
>
> 2006/10/20, dgamble <email address hidden>:
> >
> > > Hi Anyone
> > > I have just gotten the alternate live-cd booting on my msi
> > > P965 Neo motherboard.
> > > I selected raid mode for the ICH8 controllers in my bios
> > > and booted
> > > with no futher problems.
> >
> > I did just try this.. (Integrated Peripherals -> On-Chip ATA Devices ->
> > IDE/RAID Control -> RAID, is this the same option for you?), and like
> > other users, it instead hangs at "PCI: JMB36x: Enabling dual function on
> >
> > 0000:03:00.0".
> >
> > As before, this is with two IDE devices and a SATA drive on the jMicron
> > controller, and nothing on the Intel controller.
> >
> > Was worth a shot, I suppose. Might be worth it to try a Fedora Core 6
> > test CD?
> >
> > --
> > JMicron PATA/SATA Controller does not work
> > https://launchpad.net/bugs/57502
> >
>
>

jk (johan-illwinter) wrote :

The latest daily build worked fine for me, grub and all. Now only the built in network remains to be fixed.

Ben Collins (ben-collins) wrote :

Please open another bug report concerning the built-in ethernet, include output of "lspci -vv", "lspci -vvn", "dmesg", and "lsmod".

Make sure to attach these separately (do not paste, or combine into a single attachment).

Thanks

wwuster (wwuster) wrote :

Is this supposed to be fixed in edgy now? I started running edgy about 5 weeks ago and have kept it updated since then. But edgy is still not seeing my ide cdrom drive.

William

Joel Ebel (jbebel) wrote :

If that's your lspci, you don't have a Jmicron controller. It looks like it's a marvell. This is not the right bug for you.

Daniel Torres (lolikapuxa) wrote :

msi p965 neo here.
i have my sata hd attached to the ich8 port.
usb mouse & keyboard disabled.
raid mode.
The 17th alternate doesn't detect my hd. it asks me for the driver, i put jmicron and still doesn't detect.

Ante Karamatić (ivoks) wrote :

U Ned, 22. 10. 2006., u 09:57 +0000, Daniel Torres je napisao/la:

> i have my sata hd attached to the ich8 port.

[...]

> The 17th alternate doesn't detect my hd. it asks me for the driver, i put jmicron and still doesn't detect.

Why do you think jmicron module for jmicron IDE controller would detect
your SATA disk on ICH8 controller? If you managed to start installation,
then jmicron works, cause your CD is conected to jmicron IDE controller.

With this comment, you only confirmed that this bug is fixed for you.

Take a look at bug 63516 for ICH8.

Daniel Torres (lolikapuxa) wrote :

right.
so i'm stuck with an ich8 bug.

Andcor (corneliussen) wrote :

No no, not at all, the ich8 bug is also fixed, so you should be able to boot
from one of the live-cd's.
Are you sure that ich8 is enabled in bios, and are you able to see it in any
other system?

Andreas

2006/10/22, Daniel Torres <email address hidden>:
>
> right.
> so i'm stuck with an ich8 bug.
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

JaFFa (bf5) wrote :

Well the latest build still doesnt work for me it does the same as Anders:
PCI: JMB36x: Enabling dual function on 0000:03:00.0
PCI: Cannot allocate resource region 0 of device 0000:03:00.0
PCI: Cannot allocate resource region 1 of device 0000:03:00.0
PCI: Cannot allocate resource region 2 of device 0000:03:00.0
PCI: Cannot allocate resource region 3 of device 0000:03:00.0
PCI: Error while updating region 0000:03:00.0/0 (00009008 != 00000000)
PCI: Error while updating region 0000:03:00.0/2 (00009010 != 00000000)
ALERT! /dev/hda1 does not exist. Dropping to a shell!

I have usb keyboard disabled and multiple drives on multiple controllers.

Andcor (corneliussen) wrote :

Have you set the controller to raid ?

2006/10/23, JaFFa <email address hidden>:
>
> Well the latest build still doesnt work for me it does the same as Anders:
> PCI: JMB36x: Enabling dual function on 0000:03:00.0
> PCI: Cannot allocate resource region 0 of device 0000:03:00.0
> PCI: Cannot allocate resource region 1 of device 0000:03:00.0
> PCI: Cannot allocate resource region 2 of device 0000:03:00.0
> PCI: Cannot allocate resource region 3 of device 0000:03:00.0
> PCI: Error while updating region 0000:03:00.0/0 (00009008 != 00000000)
> PCI: Error while updating region 0000:03:00.0/2 (00009010 != 00000000)
> ALERT! /dev/hda1 does not exist. Dropping to a shell!
>
> I have usb keyboard disabled and multiple drives on multiple
> controllers.
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

JaFFa (bf5) wrote :

no? its set to the default which I believe from memory is legacy. Should i set it to raid ?

Daniel Torres (lolikapuxa) wrote :

I am using Windows , and it's plugged to the ich8, so i think bios is correctly configured.
 By the way, if you could tell what things you've changed in your bios would be nice. I already switched of mouse & keyboard usb, and changed from IDE to RAID.

Daniel

 > No no, not at all, the ich8 bug is also fixed, so you should be able to boot
 > from one of the live-cd's.
 > Are you sure that ich8 is enabled in bios, and are you able to see it in any
 > other system?

 > Andreas

Andcor (corneliussen) wrote :

To daniel

Which of the ich8 controllers are you using.
I haven't changed anything else in bios other than what you say you have
done.

To Jaffa
I have had the problem that either the jmicron or the ich8 controllers were
fucking up my system in almost all live-cd's i tried. But then once i tried
to make the controllers run in raid mode, and boot from one of the newest
live's, and that worked fine for me.
I don't know if it is the same problem that you have because my computer
didn't complain about hda at all, it just stalled after the last
PCI: Cannot allocate resource region 3 of device 0000:03:00.0

Don't know if that was of any help at all ?

Andreas Corneliussen
2006/10/24, Daniel Torres <email address hidden>:
>
> I am using Windows , and it's plugged to the ich8, so i think bios is
> correctly configured.
> By the way, if you could tell what things you've changed in your bios
> would be nice. I already switched of mouse & keyboard usb, and changed from
> IDE to RAID.
>
> Daniel
>
> > No no, not at all, the ich8 bug is also fixed, so you should be able to
> boot
> > from one of the live-cd's.
> > Are you sure that ich8 is enabled in bios, and are you able to see it in
> any
> > other system?
>
> > Andreas
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

Daniel Torres (lolikapuxa) wrote :

I already got it on my msi board. Installing the oem was very smooth.
 I disabled the whole usb controller, and it worked. With the mouse & keyboard disabled (only) it wasn't working.
now i will just figure out a way to get my network working.

Thank you

JaFFa (bf5) wrote :

Thanks for the help, truly, but I dont want to have to make my controllres work in raid to make an OS install. It just seems mad to me I have to trick an OS which I want to be ultra stable into installing. All this is just making me want to stick with windows. I hae never had an issuein 10 years with making Windows install.

Im not running a raid array of any kind, I have 3 drives of varying size on controller Id's 0,1,2. I want to install ubuntu on a blank HD on controller ID 0 leaving my windows install on 1 with a data drive on 2.

It shouldnt be this hard surely ?

Andcor (corneliussen) wrote :

You don't have to set up any raid array, you just have to set up the mode in
which the OS can connect to the drives.

But if you like windows that much I am affraid that you, if you install
linux, constantly will compare it to windows, and therefore will not
experience all the advances in linux.

2006/10/25, JaFFa <email address hidden>:
>
> Thanks for the help, truly, but I dont want to have to make my
> controllres work in raid to make an OS install. It just seems mad to me
> I have to trick an OS which I want to be ultra stable into installing.
> All this is just making me want to stick with windows. I hae never had
> an issuein 10 years with making Windows install.
>
> Im not running a raid array of any kind, I have 3 drives of varying size
> on controller Id's 0,1,2. I want to install ubuntu on a blank HD on
> controller ID 0 leaving my windows install on 1 with a data drive on 2.
>
> It shouldnt be this hard surely ?
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

Paul Dufresne (paulduf) wrote :

Please verify if bug #68612 is a duplicate.

Andcor (corneliussen) wrote :

It is

2006/10/27, Paul Dufresne <email address hidden>:
>
> Please verify if bug #68612 is a duplicate.
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

antares (antares-dark2) wrote :

Hello i have the following hard configuration:
mother Gigabyte 965P DS3
LG DVD writer IDE bus conected to the jmicron chip (as slave)
HD 80 Gb IDE bus conected to the jmicron chip (as master)
HD 250 Gb SATA 2 conected to the ICH8 controller chip

Comes the 6.10 version with the Jmicron patch ?
i've downloaded this and:
in AHCI mode wont boot "isolinux disk error 80, ax = 4280, drive = FF" ...press return to reboot.....

in IDE mode boots Ok but at install time in step of partitioning i check the "manual edit partition" and shows me the wait cursor and nothing happend.
dmesg tell me an Qparted error

There are still bugs to fix on this?
Exists any special bios configuration?

Antares

kernelOfTruth (dalinuxlova) wrote :

Antares, have you tried to boot up the CD with "irqpoll" ?

the CD should work (it does for me with a P5W DH Deluxe)

If that doesn't help you could also try to switch the DVD writer from slave to master and the harddrive from master to slave ...

antares (antares-dark2) wrote :

Thanks, with IDE mode & irqpoll wors fine!!
But still is trange that in OpenSuse and Sabayon won't boot in IDE mode but yes in AHCI controler mode.
Too im getting too much errors like this:

hdb: cdrom_pc_intr; the drive appears confused (ireason=0x001)

Antares

Andcor (corneliussen) wrote :

Did you get that errors with openSUSE ?
I got those with fedora core, but dont get them with ubuntu

2006/11/6, antares <email address hidden>:
> Thanks, with IDE mode & irqpoll wors fine!!
> But still is trange that in OpenSuse and Sabayon won't boot in IDE mode but
> yes in AHCI controler mode.
> Too im getting too much errors like this:
>
> hdb: cdrom_pc_intr; the drive appears confused (ireason=0x001)
>
> Antares
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

i have intel 101GGC MOTHERBOARD & SEAGATE SATA HARDDISK.
How can i install linux on it as it need a sata cotroller.
can anyone provide me the link to download the controller.

plZZZZZZZZZ

Have you tried to do the things talked about in this thread?
many people makes it work by setting the controller to raid in the bios.

If you'd like us to help you, you will have to provide us with some more
information about what the computer does when you are trying.
By the way, are you sure that it is an jmicron controller causing all the
problems, cause this bug has been solved for some time now

Andreas Corneliussen

2006/11/17, amar <email address hidden>:
>
> i have intel 101GGC MOTHERBOARD & SEAGATE SATA HARDDISK.
> How can i install linux on it as it need a sata cotroller.
> can anyone provide me the link to download the controller.
>
> plZZZZZZZZZ
>
> --
> JMicron PATA/SATA Controller does not work
> https://launchpad.net/bugs/57502
>

wolfmanjm (morris-wolfman) wrote :

I can confirm that on current Edgy Eft CD Install, the JMicron IDE controller works. I can boot off CD, and read/write to an IDE HD. I am Using an ASUS P5B-E Motherboard.

However as of 2006-12-19 the JMicron controller detects the UDMA/100 drive as UDMA/33.

> hdparm -i reports
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2 udma3 udma4 udma5

> hdparm -I reports.
Capabilities:
        DMA: mdma0 mdma1 mdma2 udma0 udma1 *udma2 udma3 udma4 udma5
             Cycle time: min=120ns recommended=120ns
        PIO: pio0 pio1 pio2 pio3 pio4
             Cycle time: no flow control=240ns IORDY flow control=120ns

com4 (com4) wrote :

This bug doesn't seem fixed at all... Edgy has been out for quite some time and I've been trying to install it on 2 motherboards that use the 965 chipset.

The first, an Intel DP965LT, I had to change all the SATA controllers to AHCI rather than IDE in the BIOS, and install from a USB CD-ROM. My PATA DVD-Burner still doesn't work on a fully updated Edgy system.

The second, an ASUS P5B, I had changed all IDE's to AHCI's in the BIOS, used a USB CD-ROM to install, had to pass the irqpoll and all-generic-ide to get the install cd to even recognize the hard drive, as well as boot once the OS was finally installed.

Now, correct me if I'm wrong, but if the issue was fixed, I (and what seems like a handful of others) wouldn't have to bother with these work arounds.

Is there something I've missed? Is there some information I could give you that would aid in solving this problem once and for all?

Matthew Garrett (mjg59) wrote :

Please attach the output of lspci on the affected system

I have posted here in the past and received oh so joyous emails that this problem had been fixed and it's NOT! Maybe the problem is that the handful of systems affected are not being fully described and there maybe confusion as to what the hardware is exactly that were talking about. OK i'm not an expert so I keep up when I get a joyous explanation from the launchpad that WE'VE FIXED IT! WELL MY FRIENDS IT'S NOT FIXED AND HERE IS MY lspci output but it's from Mandriva 2007 which seems to have gotten it right!
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
[popeyeray@localhost ~]$ lspci
00:00.0 Host bridge: Intel Corporation Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation PCI Express Port 1 (rev 02)
00:1c.3 PCI bridge: Intel Corporation PCI Express Port 4 (rev 02)
00:1c.4 PCI bridge: Intel Corporation PCI Express Port 5 (rev 02)
00:1d.0 USB Controller: Intel Corporation USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation SATA Controller 1 IDE (rev 02)
00:1f.3 SMBus: Intel Corporation SMBus Controller (rev 02)
00:1f.5 IDE interface: Intel Corporation SATA Controller 2 IDE (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0393 (rev a1)
03:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
03:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
04:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E Gigabit Ethernet Controller (rev 22)
05:00.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
05:00.1 Input device controller: Creative Labs SB Live! Game Port (rev 07)
05:01.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 50)
05:01.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 50)
05:01.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)
05:02.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
05:02.1 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
05:02.3 USB Controller: ALi Corporation USB 2.0 Controller (rev 01)
05:02.4 FireWire (IEEE 1394): ALi Corporation M5253 P1394 OHCI 1.1 Controller
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

com4 (com4) wrote :

Apparently I accidentally downloaded Dapper. Edgy works when I switch all the AHCI's back to IDE in the BIOS. Woops.

popeyeray (popeyeray) wrote :

<Apparently I accidentally downloaded Dapper. Edgy works when I switch all the AHCI's back to IDE in the BIOS. Woops.>

Yes, but then aren't you defeating the whole purpose of getting the faster speeds of the SATA settings. I bought two (2), WD Raptor HD's, 60, and 150 GB! And I want to try and eek out every last bit if speed out of them. Am I wrong on this, please advise.

popeyeray (popeyeray) wrote :

Another attempt at installing with Development Release: Ubuntu 7.04 Alpha 2 ended in failure. I thought the high level kernel 2.6.20 would definately save my bacon but I only got as far as the local time/date in the installation, I hit enter to get to the hard drive partitioner then saw what appeared to be a bad Television screen display with diagonal lines. I am confident that Ubuntu will get it right with the final edition of Fiesty, I will never give up on my Ubuntu compadres!

Same for me,

I have installed just about any Ubuntu release or alpha you can name, alternative, or desktop versions.

I can install them correctly, having the
"PCI: Cannot allocate resource region 3 of device 0000:03:00.0" answer

but anyway, i get a GRUB error 21 while loading.

I've even tried Fedora, and other linux.
This defenitely comes from the kernel

Thanks for all your support and help that you could bring us.

Long live ubuntu !

Victor Petrov (victor-petrov) wrote :

Hi Cyrille,

I read your post on Ubuntu LaunchPad and I wanted to say that I get the same
error (Error 21) when I set my SATA mode to IDE in BIOS. I have 5 drives
connected to the ICH8R controller and 2 DVD-ROMs on the JMicron Controller.
Additionally, I see a "Cannot write to disk..." message. My solution is to
keep the SATA in AHCI mode.

I hope that helped a bit.

Sincerely,
Victor Petrov

Ted Danson (knodeland) wrote :

Does anybody have any idea when these issues will be solved? As of February 9th, none of the last three Ubuntu releases are working with my Asus P5B. Since there have been consistent problems for almost half a year now, it amazes me that I still can't get Ubuntu to work on my computer.

6.06 = halts during installation.
6.10 = installation is fine, but I get Error 21 upon boot when Grub is loading.
7.04 alternate CD = halts during installation, right after I've let the installer know which language my keyboard uses.

scheuri (toomai) wrote :

I would like to (or I need to) confirm this issue:

Asus Barebone V2-P5G965 with intel g965 chipset and ICH8 and jmicron adapter.
DVD-drive and harddisk with IDE (no SATA).

6.06.1 alternat CD -> After choosing keyboard in install routine it is unable to find CD-drive
Netinst Etch about 2 month old -> same issue as 6.06.1 alternate CD
7.04 herd 3 alternate CD -> after choosing keyboard in install routine, it halts (hangs).

I have not tried other recent releases of other distributions.

Leon van der Ree (lvanderree) wrote :

I can confirm this too.

Enabling the JMicron controller in my BIOS (Asus P5W DH Deluxe) makes it look like the system hangs during booting. I see the splash screen, but then it immediately pauses. After a long time i see a slowbox console. It says I can type help, when I did this nothing showed up, so I pressed ctrl+alt+del and then I saw the help listing and the system wend for a reboot.

I'm running Feisty herd 4.

Adding "all-generic-ide irqpoll" to my grub menu.lst had no effect (something I read on the forums).

Ieon van der Ree: Is this something like Bug #84964 ? Do you get this output "run_program: '/sbin/modprobe' abnormal exit" ?

denizoguz (denizoguz) wrote :

I have still the same problem. My IDE CDRom connected to JMicron (IDE Mode) connector is not detected by ubuntu 6.10 installer. Motherboard asus p5B, bios is the latest bios. SATA disk connected to ICH8. JMicron is enabled and set to IDE mode. ICH8 is enabled and set to AHCI. WinXP works perfectly.

steviant (steviant) wrote :

Was this problem ever fixed in Dapper or has canonical abandoned it's so called "Long Term Service" release already? I have a hard drive with dapper installed which has been extracted from a machine that has died.

We're unable to get a desktop board which doesn't use the jmicron controller, so I'm not able to use anything else.

I have read this entire thread and I'm no more enlightened than when I started about whether this problem has been fixed for Dapper, or how to apply any such fix.

Has this problem been fixed in dapper?

Can someone explain in terms that a normal human being can understand how to install these fixes without having to recompile a new kernel or install a new operating system?

Ben Collins (ben-collins) wrote :

The fix is contained, and being reviewed in, the dapper-proposed repository release of the kernel. Please add that to your APT sources and install manually to test this kernel.

Shriramana Sharma (jamadagni) wrote :

At https://launchpad.net/ubuntu/+bug/58358/comments/13 Ben also said that this fix is available for edgy also in the edgy-proposed repo. Just for info.

Changed in linux-source-2.6.15:
status: In Progress → Fix Released
Daniel Hollocher (chogydan) wrote :

I get the below errors also, but then I can boot fine.

PCI: JMB36x: Enabling dual function on 0000:03:00.0
PCI: Cannot allocate resource region 0 of device 0000:03:00.0
PCI: Cannot allocate resource region 1 of device 0000:03:00.0
PCI: Cannot allocate resource region 2 of device 0000:03:00.0
PCI: Cannot allocate resource region 3 of device 0000:03:00.0
PCI: Error while updating region 0000:03:00.0/0 (00009008 != 00000000)
PCI: Error while updating region 0000:03:00.0/2 (00009010 != 00000000)

There is a difference for my errors; the device was 2 instead of 3.
I am running an Asus PB5 motherboard, with the JMicron controller. I have a CD drive, and a harddrive on the one-and-only IDE channel.

I don't know if this relates, but I tried to boot from a 6.06 LTS CD, and that failed. I assume its because the motherboard is new, and that 6.06 kernal is dated. I "installed" ubuntu simply by swapping the harddrive from my old computer, which had a fully updated version of edgy on it, already.

danielhollocher: I also get similiar outputs on Edgy. The fixes are currently not included in the 6.06 LTS CD. Maybe there will be an update of the CD, but I don't know (if and when).

I am currently testing Ubuntu Feisty Fawn and there these messages are gone. I use an Asus P5B Deluxe Wifi-AP motherboard.

Daniel Hollocher (chogydan) wrote :

Thanks Thomas. I just upgrade, and feisty is working. I actually didn't realize that allot of work had happened on this issue. I found this through google, and google linked me to only an individual comment. I thought it was a full report, to which I responded. It wasn't until after I submitted, that I saw the rest of the discussion.

Sorry all!

Changed in linux-source-2.6.20:
status: Unconfirmed → Fix Released
Changed in linux-source-2.6.15:
status: Fix Released → Fix Committed
Changed in linux-source-2.6.15:
status: Fix Committed → Fix Released
Changed in linux-source-2.6.15:
status: Fix Released → Fix Committed
rebird242 (nik242) wrote :

I have an MSI P965 NEO that does not work. Please help!!!

Same problem as above. I noticed the fix was commited where do I get it so I can install it?

Martin Pitt (pitti) wrote :

I consider this for the dapper point release if someone can actually give some feedback about the kernel in dapper-proposed? Thank you!

Martin Pitt (pitti) wrote :

Ben, do you have a pointer for the fix for this? Is it isolated and unintrusive enough for SRU?

confirmed using gutsy, 2.6.22-9 (at 4 august 2007), on intel p965, core2 duo e6600, msi p965 neo board.
without passing irqpoll and disabling splash,hdd install and the live cd fails to load.

danub (admin-dark-tower) wrote :

As of fiesty Fawn, I still am unable to make this work. I have the newest release, just downloaded it today. If I set the boot args to "no apic no lapic" it loads kubuntu, but the grub is screwed up and I cant load to windows. I constantly get a "ata?.01: failed to set xfermode (err_mask=0x40)". I'm really unhappy as i haven't been able to put a linux distro on my new comp since i built it last year. I am using the intel 965 board.

my current setup is 4 hard drives. 2 on the jmicron and 2 aren't. the 2 that aren't show fine. Problem is, one that is is my data drive and holds all my backups/scripts/etc. if you actually have a fix for this... it would be nice to get it into a distribution so i can start using ubuntu/kubuntu again.

Martin Pitt (pitti) wrote :

The dapper-proposed approach with ABI 50 never really took off, readjusting tags and status for standard SRU workflow.

Changed in linux-source-2.6.15:
status: Fix Committed → In Progress
Pii (pasi-parkkinen) wrote :

Hello guys!

I have tried one year to get Linux to my "new" computer, still not succeeded... :(

My hardware is following:
Mobo: Abit B9 Intel 965 LGA775 ATX (Having the JMicron SATA controller)
CPU: Intel Core 2 Duo E6400, 2.13 GHz, Socket 775, FSB 1066, 2MB Cache

And my problem is that HDD is not found.

I just downloaded Kubuntu 7.10beta and tried. Fedora 7 also tried today, also same problem.

I don't know if this helps, but I got following errors during boot:
"usb 3-1 device not accepting addres 2, error -71" and "ata 3.00: failed to set xfermode (err_mask=0x40)."

Something weird with usb there is, because on all graphical installers I've tried (Fedora, Mandriva etc..) with this hardware I have a terrible slow mouse. My mouse is just standard Logitech USB-mouse.

I've a 12 years experience as a standard Linux-user, but never before installation has been that difficult...

Any idea when this will be fixed.

Meanwhile I'm forced to use M$ ... :( (Which indeed didn't have any installation problems)

This might not be good if you are on dialup - but try
downloading puppy linux - 83Mb and booting from cd.
It is a live cd. The question this will answer is
whether it is a driver/setup issue with feisty et al
or whether it is a linux problem. Puppy has a small
tool to mount all sorts of partitions - so if it can
see and mount them then we may get some clues to the
problem.

My first guess from current experience with recent
Feisty install is that the installer installed to the
hd but the hd numbering was off with what it wrote to
/boot/grub/menu.lst. I had to change the grub boot
parameters to get it to boot to (hd0,0) rather than
whatever it wrote.

--- Pii <email address hidden> wrote:

> Hello guys!
>
> I have tried one year to get Linux to my "new"
> computer, still not
> succeeded... :(
>
> My hardware is following:
> Mobo: Abit B9 Intel 965 LGA775 ATX (Having the
> JMicron SATA controller)
> CPU: Intel Core 2 Duo E6400, 2.13 GHz, Socket 775,
> FSB 1066, 2MB Cache
>
> And my problem is that HDD is not found.
>
> I just downloaded Kubuntu 7.10beta and tried. Fedora
> 7 also tried today,
> also same problem.
>
> I don't know if this helps, but I got following
> errors during boot:
> "usb 3-1 device not accepting addres 2, error -71"
> and "ata 3.00: failed to set xfermode
> (err_mask=0x40)."
>
> Something weird with usb there is, because on all
> graphical installers
> I've tried (Fedora, Mandriva etc..) with this
> hardware I have a terrible
> slow mouse. My mouse is just standard Logitech
> USB-mouse.
>
> I've a 12 years experience as a standard Linux-user,
> but never before
> installation has been that difficult...
>
> Any idea when this will be fixed.
>
> Meanwhile I'm forced to use M$ ... :( (Which indeed
> didn't have any
> installation problems)
>
> --
> JMicron PATA/SATA Controller does not work
> https://bugs.launchpad.net/bugs/57502
> You received this bug notification because you are a
> direct subscriber
> of the bug.
>

      Sick of deleting your inbox? Yahoo!7 Mail has free unlimited storage.
http://au.docs.yahoo.com/mail/unlimitedstorage.html

Try this:
$ sudo rmmod pata_jmicron
$ sudo modprobe pata_jmicron

As for me it solves the problem an the disks are detected and functional. may it have something to see with the initrd?

Pii (pasi-parkkinen) wrote :

How I exactly do that, I mean the problem occurs already on the installation phase, and I don't have any other disks where I could have working installation. Is there a possibility on (K)ubuntu installation to give those commands during installation? I'm not an expert with these installation / hardware things ..

Using an alternate with alt+F2

I can confirm it works on my box but having installed before the ubuntu version.

Changed in linux-source-2.6.15:
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

This pending upload fixes it, it's just not mentioned in the changelog:

 linux-source-2.6.15 (2.6.15-29.61) dapper-proposed; urgency=low
 .
   * Fix for kernel crash on lvremove
     - LP: #103729
   * e1000: Disable MSI by default. Allow it to be enabled with module param.
     Some chip implementations seem to not work well with MSI.
     - LP: #56885
   * tg3: Backport v3.69
     - LP: #72696
   * Add r1000 to nic-modules
     - LP: #81782
   * Add bnx2 to nic-modules
     - LP: #73647
   * usb-serial: Fix oops with pilot-link
     - LP: #39518
   * megaraid: Move AMI/Megaraid3 IDs from megaraid_mbox.ko to megaraid.ko
     - LP: #57233

Pii (pasi-parkkinen) wrote :

Ok, I tried again...

Now I downloaded the final Ubuntu 7.10 x64 version ...

At the second try I was able to start the Live version, there I selected Install and all went well. After some updates I was forced to boot again ... now JMicron was not found ... and Ubuntu boot was stalled.

Then - I must say - I tried many things ;) - also the Live version: No success. Finally I remembered that I had some problems in Windows Vista and JMicron on early days of Vista. There the trick was to power off the computer completely (by removing the AC - outlet) and to leave the CD-ROM open!! (yes really!). I tried that and voilá there I am - using working Ubuntu installation (and these new 3D graphics are so cool! :)).

This weird "boot camp" disappeared some months after Vista release (they obviously published some kind of driver update to the SATA -controller ??), and I haven't had any need for that with Windows. Now this problem is back, but with Linux...

I don't know anything about device driver implementation, but it seems to be something generic because behaviour has been seen on M$ and Linux.

uname -a in my Ubuntu box:
2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64 GNU/Linux

As of final release of 7.10, the problem persists (I've edited my fstab, removed splash, added irqpoll)

Giblet5 (pw-byteshuffler) wrote :

Just for the record, Feisty and Gutsy both work fine on an Asus P5B
Deluxe WiFi and an Asus P5B Deluxe Twin-View.

On the WiFi edition board, I'm running Feisty (7.04), a DVD-RW is
hanging off the JMicron PATA port (Master). On the Twin-View edition
board, running Gutsy (7.10), there is a 500GB Seagate PATA drive
(Master) and the DVD drive is hanging off of a Promise PCI IDE
controller card.

I can boot from a JMicron DVD, or hard disk drive, no problems.

I suspect mangar is having some other issue... Bad timing off rounded
cables, for instance (do NOT use rounded cables - they can throw IDE
timing all to heck and back). Maybe not, but it works on two of those
controller chips here. Just sayin'...

On Thu, 2007-10-25 at 22:20 +0000, mangar wrote:
> As of final release of 7.10, the problem persists (I've edited my fstab,
> removed splash, added irqpoll)
>

Antonio De Marinis (demarant) wrote :

Hi,
tqft wrote on 2007-10-05:
> My first guess from current experience with recent
> Feisty install is that the installer installed to the
> hd but the hd numbering was off with what it wrote to
> /boot/grub/menu.lst. I had to change the grub boot
> parameters to get it to boot to (hd0,0) rather than
> whatever it wrote.

THANKS this worked for me! I changed the grub parameter from being erroneous set to (hd0,3) to (hd0,0) in the grub boot parameters.

I installed ubuntu gutsy 7.10 on my conputer wich has vista preinstalled. The installation from live cd went fine, but after re boot the boot stalled and pressing ctrl+F1 showed the issue "ata2.00: failed to set xfermode (err_mask=0x40)". So at first I thought the Sata controller being the issue, since I run a JMicron JMB361 controller, and tried different boot tips. What helped was to change the grub root only!

Thanks again

Antonio De Marinis (demarant) wrote :

very strange.
I finally boot it up gutsy by changing the grub root to (hd0,3) to (hd0,0) and the first thing I did was of course to edit the /boot/grub/menu.lst so that the next I time I would boot it would work, so I choose restart and nope ... it said cannot not mount partition ... very strange, then I re-edit the boot root to (hd0,3) and pressed 'b' and booted fine again, but this time with another boot root. anyone has any explanations that could help?

I have the "failed to set xfermode" issue, too. My workaround is to disable the controller in the BIOS. This is a realy bad workaround, because I cannot access my DVD-Drive. Vista has no problems with it so I think we can rule out hardware failours. It's very sad that this bug hasn't been fixed for about 1 1/2 years. Is there any progress Ben?

cheers,
Janosch

danub (admin-dark-tower) wrote :

I gave up on trying to get ubuntu on my box natively. I just ended up installing a VMWare environment and loading Ubuntu to that. Redhat seems to find the controller just fine though....oh well

Ok I fixed this for me following a hint from the last post on http://ubuntuforums.org/showthread.php?t=637721. According to the guy in the forum the SATA Contollers are double booked (whatever that means) which apparently confuses ubuntu. The solution for me was to plug my harddisk in a high numbered sata port, in my case port 6 worked like a charm. Hope this helps.

danub (admin-dark-tower) wrote :

What he means by the double booked is that the sata controllers are also on the jmicron controller (so they are on both controllers making them double booked). And while moving your hard drive to a higher numbered sata port gets it off the jmicron controller, this is only a mediocre workaround. Most people don't have a sata cd/dvd rom yet (still PATA) which automatically puts the drive on the jmicron controller (which in the case of my mobo and others, makes that drive "double booked" again, since it is on the ata controller and the jmicron controller).

What needs to happen is that Ubuntu dev's need to get a fix for it. What happens to the people like me that have 8 drives in their box? I automatically lose the option of using 4 of my drives since 2 would be on the ATA/jmicron controller and my first 2 sata ports are on the SATA/jmicron controller. So instead of having a total of 2.5 TB of storage and 3 dvd/cd burners, I would get 1 dvd/cd burner and 1.5 TB of storage. Kinda makes the money I spent on the other drives pointless....

Martin Pitt (pitti) wrote :

For the record, the kernel in dapper-updates has a patch which should fix this, but nobody tested it so far. The kernel was moved to -updates to fix the other bugs.

Please reopen if you still have problems in Ubuntu 6.06.2 or 8.04.

Changed in linux-source-2.6.15:
status: Fix Committed → Fix Released
hjoska (hjoska) wrote :

I have an ASUS P5B motherboard with ICH8R SATA and Jmicron-363 SATA/PATA/RAID controller. Two Pata winchester connected to the Jmicron (no RAID), and a SATA CDROM to the ICH8R. Ubuntu 7.10 live cd loads well, but the kernel does not see any HDD. BIOS up to date, contains Jmicron 1.06.59 version.

From the kernel log you can see the kernel recognized the pata drives "ata3: PATA max UDMA/100 cmd 0xac00 ctl 0xa880 bmdma 0xa400 irq 17", it says "ata3: port is slow to respond, please be patient (Status 0x80)", later "ata3: SRST failed (errno=-16)"

I tried Ubuntu 8.04 beta too, the result is the same.

Windows run well, Puppy 3.01 recognizes all drives. I know a lot distributions have the same problem, anyway it is solved in the Linux world too. Puppy 3.01 uses 2.6.21.7 kernel, so it does not need the latest kernel version. For Ubuntu this is a two year old problem and a few people needs solution.

Pascal Schwarz (iso-thinktux) wrote :

I have the same Problem with 8.04 Final (Desktop Livecd) on a MSI P965 Neo-F mainboard.

Pii (pasi-parkkinen) wrote :

Me too have the same problem (still), I mean with 7.10 I could use Ubuntu. approx. 1/7 tries (or something like that) succeeded and Ubuntu was booting up. After 8.04 update I can't reach my Linux anymore. During boot I press ALT+F1 to get the console and this is what I get:

-- a clip from a console (manually written, can contain typos)--
Loading, please wait
[102.256034] ata 7.00 revalidation failed (errno=-5)
[137.378078] ata 7.00 revalidation failed (errno=-5)

Check root=bootarg cat /proc/cmdline or missing modules, devices:
cat /proc/modules ls / dev
-- clip ends

Windows works yes, I'm very disappointed to the Ubuntu. :( In my case the 7.10 boot up functionality was bad now its totally dead!

For the record, my HW is the following:

Mobo: Abit B9 Intel 965 LGA775 ATX (Having the JMicron SATA controller)
CPU: Intel Core 2 Duo E6400, 2.13 GHz, Socket 775, FSB 1066, 2MB Cache

Pascal Schwarz (iso-thinktux) wrote :

7.10 worked perfectly for me, the cd and the installed system...

Pii (pasi-parkkinen) wrote :

I updated the latest BIOS for mobo and Jmicron, Windows boots up now a little bit faster - Ubuntu is still completely dead. Is there any way to get that to work?

Pii (pasi-parkkinen) wrote :

I'm having two different kernels, it seems that with this new one (2.6.24-16) I really can't boot up Ubuntu. With an older one (2.6.22-14) Ubuntu can be started. But even with the older kernel I need to try several times.

Below a clip from my /boot/grub/menu.lst Is there any tricks I could try?

title Ubuntu 8.04, kernel 2.6.24-16-generic
root (hd0,2)
kernel /boot/vmlinuz-2.6.24-16-generic root=UUID=5152f10c-4ae1-4b61-b8cd-7d70b925d309 ro quiet splash
initrd /boot/initrd.img-2.6.24-16-generic
quiet

title Ubuntu 8.04, kernel 2.6.22-14-generic
root (hd0,2)
kernel /boot/vmlinuz-2.6.22-14-generic root=UUID=5152f10c-4ae1-4b61-b8cd-7d70b925d309 ro quiet splash
initrd /boot/initrd.img-2.6.22-14-generic
quiet

kernelOfTruth (dalinuxlova) wrote :

try appending "irqpoll" that it looks like the following:

title Ubuntu 8.04, kernel 2.6.24-16-generic
root (hd0,2)
kernel /boot/vmlinuz-2.6.24-16-generic root=UUID=5152f10c-4ae1-4b61-b8cd-7d70b925d309 ro "irqpoll" quiet splash
initrd /boot/initrd.img-2.6.24-16-generic
quiet

hopefully that helps ...

Andcor (corneliussen) wrote :

Not like that it wont. I have had luck with irqpoll and all-generic-ide
boot options. But they have to be appended to the kernel line without "".

My bootline looks like this when I'm trying to install (i.e. wants to
get all the information on what goes wrong that I can):
kernel /boot/vmlinuz-2.6.24-16-generic root=/dev/sda1 ro irqpoll
all-generic-ide

dalinuxlova wrote:
> try appending "irqpoll" that it looks like the following:
>
> title Ubuntu 8.04, kernel 2.6.24-16-generic
> root (hd0,2)
> kernel /boot/vmlinuz-2.6.24-16-generic root=UUID=5152f10c-4ae1-4b61-b8cd-7d70b925d309 ro "irqpoll" quiet splash
> initrd /boot/initrd.img-2.6.24-16-generic
> quiet
>
>
> hopefully that helps ...
>
>

Pii (pasi-parkkinen) wrote :

Thank you very much guys! I'm now happily running the 8.04 on my box! The irqpoll arqument without "". And now I can run Ubuntu! Boots every time!!! :).

Andcor (corneliussen) wrote :

I should maybe say that the irqpoll did not work for me with the 8.04
live cd. In stead i had to disconnect the hard discs that was connected
to the ICH8 controller and install on the hard disc connected to the
jmicron controller. Then, when the system was installed, I could connect
the other hard discs again and use the irqpoll option. I don't know if
it is the bootloader on the live cd, or if the live cd uses another
kernel than the installed system (it could be that as my dvb tuner did
not show up on the live cd).

Andreas

Pii wrote:
> Thank you very much guys! I'm now happily running the 8.04 on my box!
> The irqpoll arqument without "". And now I can run Ubuntu! Boots every
> time!!! :).
>
>

GripS (evilgrips321) wrote :

Adding the 'irqpoll' argument and nothing else worked for me after I had installed ubuntu by disabling the jmicron controller on my DFI Lanparty LT P35 T2R.

I have 2 sata drives in a non-raid config. Raid is set to ide mode. After setting SATA mode from IDE to raid I was able to install via the live cd. Set back to IDE after the install and disabled the jmicron controller in bios. Added the irqoll argument. Booted into bios and enabled the jmicron controller. Booted into ubuntu just fine and now cd/dvd roms are recognized.

I have the same problem with Ubuntu 8.04 in an Abit Ab9 Pro Motherboard even with irqpoll option.
I've also tried Xubuntu 7.04. With irqpoll option it recognize my HD and installs, but when I try to start Windows through GRUB it doesn't detect my HD... So I had to use the WinXP CD and do a fixmbr to use it again.

euthymos (euthymos) wrote :

Same problem here. No solutions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers